Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.tier_routing
Interface TierRoutingManagerMBean

public interface TierRoutingManagerMBean

Tier Routing Manager MBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Method Summary
`void` | `addTierRoute(String endpointExpression, String clusterName, int index)` Add a route which contains endpoint expression and cluster's name in specific position in route list.
`TierRouteDesc[]` | `listTierRoutes()` Returns the list of route information, the form is "endpoint expression" and "cluster name".
`void` | `removeTierRoute(int index)` Remove the stored route record according the given position.

Method Detail

### addTierRoute

    public void addTierRoute(String endpointExpression,
                             String clusterName,
                             int index)
                      throws ManagementException

  Add a route which contains endpoint expression and cluster's name in specific position in route list.

  Parameters:
    `endpointExpression` - A regular expression
    `clusterName` - Cluster's Name
    `index` - The position (start from 0) used to insert the route, if the value is less than 0 or greater than the max size of the route list, a ManagementExeption will be threw.
  Throws:
    `ManagementException`

### listTierRoutes

    public TierRouteDesc[] listTierRoutes()
                                   throws ManagementException

  Returns the list of route information, the form is "endpoint expression" and "cluster name".

  Throws:
    `ManagementException`

### removeTierRoute

    public void removeTierRoute(int index)
                         throws ManagementException

  Remove the stored route record according the given position.

  Parameters:
    `index` - The route in the this specific position would be deleted. if the value is less than 0 or equal to or greater than the max size of the route list, a ManagementExeption will be threw.
  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD